<a name="Panoramax.components.menus.MapBackground"></a>

## Panoramax.components.menus.MapBackground ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
**Kind**: static class of <code>Panoramax.components.menus</code>  
**Extends**: <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>  
**Element**: pnx-map-background  

* [.MapBackground](#Panoramax.components.menus.MapBackground) ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
    * [new MapBackground()](#new_Panoramax.components.menus.MapBackground_new)
    * [.properties](#Panoramax.components.menus.MapBackground+properties) : <code>Object</code>

<a name="new_Panoramax.components.menus.MapBackground_new"></a>

### new MapBackground()
Map Background menu allows user to select background.

**Example**  
```html
<pnx-map-background size="sm" _parent=${viewer} />
```
<a name="Panoramax.components.menus.MapBackground+properties"></a>

### mapBackground.properties : <code>Object</code>
Component properties.

**Kind**: instance property of [<code>MapBackground</code>](#Panoramax.components.menus.MapBackground)  
**Properties**

| Name | Type | Default | Description |
| --- | --- | --- | --- |
| [size] | <code>string</code> | <code>&quot;md&quot;</code> | The size of the button (sm, md) |

