<a name="Panoramax.components.ui.ListItem"></a>

## Panoramax.components.ui.ListItem ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
**Kind**: static class of <code>Panoramax.components.ui</code>  
**Extends**: <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>  
**Element**: pnx-list-item  
**Slot**: `icon` The left icon (symbol for this item)  
**Slot**: `action` The right icon (symbol for an interactive action)  

* [.ListItem](#Panoramax.components.ui.ListItem) ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
    * [new ListItem()](#new_Panoramax.components.ui.ListItem_new)
    * [.properties](#Panoramax.components.ui.ListItem+properties) : <code>Object</code>

<a name="new_Panoramax.components.ui.ListItem_new"></a>

### new ListItem()
ListItem is a list entry, in a Material Design fashion.

**Example**  
```html
<pnx-list-item title="My feature" subtitle="It is very cool">
  <img src="..." slot="icon" />
  <img src="..." slot="action" />
</pnx-list-item>
```
<a name="Panoramax.components.ui.ListItem+properties"></a>

### listItem.properties : <code>Object</code>
Component properties.

**Kind**: instance property of [<code>ListItem</code>](#Panoramax.components.ui.ListItem)  
**Properties**

| Name | Type | Description |
| --- | --- | --- |
| title | <code>string</code> | The item title |
| [subtitle] | <code>string</code> | The item subtitle |

