<a name="Panoramax.components.ui.widgets.CopyCoordinates"></a>

## Panoramax.components.ui.widgets.CopyCoordinates ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
**Kind**: static class of <code>Panoramax.components.ui.widgets</code>  
**Extends**: <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>  
**Element**: pnx-copy-coordinates  

* [.CopyCoordinates](#Panoramax.components.ui.widgets.CopyCoordinates) ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
    * [new CopyCoordinates()](#new_Panoramax.components.ui.widgets.CopyCoordinates_new)
    * [.properties](#Panoramax.components.ui.widgets.CopyCoordinates+properties) : <code>Object</code>

<a name="new_Panoramax.components.ui.widgets.CopyCoordinates_new"></a>

### new CopyCoordinates()
Copy Coordinates button allows easy copy of several format of map coordinates.

**Example**  
```html
<pnx-copy-coordinates gps=${[-1.7, 48.6]} _parent=${viewer} />
```
<a name="Panoramax.components.ui.widgets.CopyCoordinates+properties"></a>

### copyCoordinates.properties : <code>Object</code>
Component properties.

**Kind**: instance property of [<code>CopyCoordinates</code>](#Panoramax.components.ui.widgets.CopyCoordinates)  
**Properties**

| Name | Type | Description |
| --- | --- | --- |
| gps | <code>Array.&lt;number&gt;</code> | GPS/map coordinates, as [lon, lat] |

