<a name="Panoramax.components.ui.widgets.GeoSearch"></a>

## Panoramax.components.ui.widgets.GeoSearch ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
**Kind**: static class of <code>Panoramax.components.ui.widgets</code>  
**Extends**: <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>  
**Element**: pnx-widget-geosearch  

* [.GeoSearch](#Panoramax.components.ui.widgets.GeoSearch) ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
    * [new GeoSearch()](#new_Panoramax.components.ui.widgets.GeoSearch_new)
    * [.properties](#Panoramax.components.ui.widgets.GeoSearch+properties) : <code>Object</code>

<a name="new_Panoramax.components.ui.widgets.GeoSearch_new"></a>

### new GeoSearch()
Ready-to-use geocoder search bar.

**Example**  
```html
<!-- Default geocoder -->
<pnx-widget-geosearch _parent=${viewer} />

<!-- Custom-URL geocoder -->
<pnx-widget-geosearch geocoder="https://photon.komoot.io/api" _parent=${viewer} />
```
<a name="Panoramax.components.ui.widgets.GeoSearch+properties"></a>

### geoSearch.properties : <code>Object</code>
Component properties.

**Kind**: instance property of [<code>GeoSearch</code>](#Panoramax.components.ui.widgets.GeoSearch)  
**Properties**

| Name | Type | Default | Description |
| --- | --- | --- | --- |
| [geocoder] | <code>string</code> | <code>&quot;nominatim&quot;</code> | The geocoder engine to use (nominatim, ban, or URL to a standard [GeocodeJSON-compliant](https://github.com/geocoders/geocodejson-spec/blob/master/draft/README.md) API) |

