<a name="Panoramax.components.ui.widgets.MapFiltersButton"></a>

## Panoramax.components.ui.widgets.MapFiltersButton ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
**Kind**: static class of <code>Panoramax.components.ui.widgets</code>  
**Extends**: <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>  
**Element**: pnx-widget-mapfilters  

* [.MapFiltersButton](#Panoramax.components.ui.widgets.MapFiltersButton) ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
    * [new MapFiltersButton()](#new_Panoramax.components.ui.widgets.MapFiltersButton_new)
    * [.properties](#Panoramax.components.ui.widgets.MapFiltersButton+properties) : <code>Object</code>

<a name="new_Panoramax.components.ui.widgets.MapFiltersButton_new"></a>

### new MapFiltersButton()
Collapsible button showing off map filters menus.

**Example**  
```html
<pnx-widget-mapfilters user-search="" _parent=${viewer} />
```
<a name="Panoramax.components.ui.widgets.MapFiltersButton+properties"></a>

### mapFiltersButton.properties : <code>Object</code>
Component properties.

**Kind**: instance property of [<code>MapFiltersButton</code>](#Panoramax.components.ui.widgets.MapFiltersButton)  
**Properties**

| Name | Type | Default | Description |
| --- | --- | --- | --- |
| [user-search] | <code>boolean</code> | <code>false</code> | Should user search filter show up ? |
| [quality-score] | <code>boolean</code> | <code>false</code> | Should quality score filter show up ? |

