# Authentication against API

If the STAC API you're using needs some kind of authentication, you can pass it through any core component options. Parameter `fetchOptions` allows you to set custom parameters for the [JS fetch function](https://developer.mozilla.org/en-US/docs/Web/API/fetch#parameters), like the `credentials` setting. For example:

```html
<pnx-viewer
	endpoint="https://your-secured-stac.fr/api"
	fetchOptions='{ "credentials": "include" }'
/>
```
