import CoverageMap from "../../../src/components/core/CoverageMap";
import "./BasicMock";

let cm;
global.console = { info: jest.fn(), error: jest.fn(), warn: jest.fn(), log: global.console.log };

beforeEach(() => cm = new CoverageMap());
afterEach(() => jest.clearAllMocks());

describe("getClassName", () => {
	it("works", () => {
		expect(cm.getClassName()).toBe("CoverageMap");
	});
});

describe("getSubComponentsNames", () => {
	it("works", () => {
		expect(cm.getSubComponentsNames()).toEqual(["loader", "api", "map"]);
	});
});
