import Popup from "../../../src/components/ui/Popup";

describe("constructor", () => {
	it("works", () => {
		document.addEventListener = jest.fn();
		const p = new Popup();
		p.addEventListener = jest.fn();
		expect(p.visible).toBe(false);

		p.connectedCallback();
		expect(p.addEventListener.mock.calls).toMatchSnapshot();
		expect(document.addEventListener.mock.calls).toMatchSnapshot();
	});
});

describe("close", () => {
	it("works", () => {
		const p = new Popup();
		p.dispatchEvent = jest.fn();
		p.visible = true;
		p.close();

		expect(p.visible).toBe(false);
		expect(p.dispatchEvent.mock.calls).toMatchSnapshot();
	});
});
