<a name="Panoramax.components.layout.BottomDrawer"></a>

## Panoramax.components.layout.BottomDrawer ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
**Kind**: static class of <code>Panoramax.components.layout</code>  
**Extends**: <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>  
**Element**: pnx-bottom-drawer  
**Slot**: `default` The drawer content  

* [.BottomDrawer](#Panoramax.components.layout.BottomDrawer) ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
    * [new BottomDrawer()](#new_Panoramax.components.layout.BottomDrawer_new)
    * [.properties](#Panoramax.components.layout.BottomDrawer+properties) : <code>Object</code>

<a name="new_Panoramax.components.layout.BottomDrawer_new"></a>

### new BottomDrawer()
BottomDrawer layout offers a mobile-like drawer menu, coming from bottom of the screen.

**Example**  
```html
<pnx-bottom-drawer openness="opened">
  <p>My drawer content</p>
</pnx-bottom-drawer>
```
<a name="Panoramax.components.layout.BottomDrawer+properties"></a>

### bottomDrawer.properties : <code>Object</code>
Component properties.

**Kind**: instance property of [<code>BottomDrawer</code>](#Panoramax.components.layout.BottomDrawer)  
**Properties**

| Name | Type | Default | Description |
| --- | --- | --- | --- |
| [openness] | <code>string</code> | <code>&quot;half-opened&quot;</code> | How much the drawer should be opened (closed, half-opened, opened) |

