<a name="Panoramax.components.layout.Mini"></a>

## Panoramax.components.layout.Mini ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
**Kind**: static class of <code>Panoramax.components.layout</code>  
**Extends**: <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>  
**Emits**: [<code>expand</code>](#Panoramax.components.layout.Mini+event_expand)  
**Element**: pnx-mini  
**Slot**: `default` The component to display.  

* [.Mini](#Panoramax.components.layout.Mini) ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
    * [new Mini()](#new_Panoramax.components.layout.Mini_new)
    * [.properties](#Panoramax.components.layout.Mini+properties) : <code>Object</code>
    * ["expand"](#Panoramax.components.layout.Mini+event_expand)

<a name="new_Panoramax.components.layout.Mini_new"></a>

### new Mini()
Mini layout allows to show a reduced or collapsed component in a corner of a main component.
For example, show a reduced map on top of a photo display.

**Example**  
```html
<pnx-mini icon=${fa(faMap)} ._parent=${viewer}>
  <pnx-map />
</pnx-mini>
```
<a name="Panoramax.components.layout.Mini+properties"></a>

### mini.properties : <code>Object</code>
Component properties.

**Kind**: instance property of [<code>Mini</code>](#Panoramax.components.layout.Mini)  
**Properties**

| Name | Type | Default | Description |
| --- | --- | --- | --- |
| [icon] | <code>string</code> |  | The icon to use in collapsed button. |
| [collapsed] | <code>boolean</code> | <code>false</code> | Collapsed displays only a simple button. |

<a name="Panoramax.components.layout.Mini+event_expand"></a>

### "expand"
Event when user ask for component expand

**Kind**: event emitted by [<code>Mini</code>](#Panoramax.components.layout.Mini)  
