<a name="Panoramax.components.ui.ButtonGroup"></a>

## Panoramax.components.ui.ButtonGroup ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
**Kind**: static class of <code>Panoramax.components.ui</code>  
**Extends**: <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>  
**Element**: pnx-button-group  

* [.ButtonGroup](#Panoramax.components.ui.ButtonGroup) ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
    * [new ButtonGroup()](#new_Panoramax.components.ui.ButtonGroup_new)
    * [.properties](#Panoramax.components.ui.ButtonGroup+properties) : <code>Object</code>

<a name="new_Panoramax.components.ui.ButtonGroup_new"></a>

### new ButtonGroup()
Button Group element allows to merge many button in a single bar.

**Example**  
```html
<pnx-button-group id="pnx-widget-player" dir="row" size="xl" class="pnx-print-hidden">
  <pnx-button>B1</pnx-button>
  <pnx-button>B2</pnx-button>
</pnx-button-group>
```
<a name="Panoramax.components.ui.ButtonGroup+properties"></a>

### buttonGroup.properties : <code>Object</code>
Component properties.

**Kind**: instance property of [<code>ButtonGroup</code>](#Panoramax.components.ui.ButtonGroup)  
**Properties**

| Name | Type | Description |
| --- | --- | --- |
| [dir] | <code>string</code> | Group direction (row, column) |
| [size] | <code>string</code> | Group size (md, xl) |

