<a name="Panoramax.components.ui.Grade"></a>

## Panoramax.components.ui.Grade ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
**Kind**: static class of <code>Panoramax.components.ui</code>  
**Extends**: <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>  
**Element**: pnx-grade  

* [.Grade](#Panoramax.components.ui.Grade) ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
    * [new Grade()](#new_Panoramax.components.ui.Grade_new)
    * [.properties](#Panoramax.components.ui.Grade+properties) : <code>Object</code>

<a name="new_Panoramax.components.ui.Grade_new"></a>

### new Grade()
Grade element displays a 5-star rating.

**Example**  
```html
<pnx-grade stars="5" .t=${viewer._t} />
```
<a name="Panoramax.components.ui.Grade+properties"></a>

### grade.properties : <code>Object</code>
Component properties.

**Kind**: instance property of [<code>Grade</code>](#Panoramax.components.ui.Grade)  
**Properties**

| Name | Type | Default | Description |
| --- | --- | --- | --- |
| [stars] | <code>number</code> | <code>0</code> | 1 to 5 grade (or 0 for unknown value) |

