<a name="Panoramax.components.ui.ListGroup"></a>

## Panoramax.components.ui.ListGroup ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
**Kind**: static class of <code>Panoramax.components.ui</code>  
**Extends**: <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>  
**Element**: pnx-list-group  
**Slot**: `default` Any element you want to add in list.  
<a name="new_Panoramax.components.ui.ListGroup_new"></a>

### new ListGroup()
List Group element displays a menu having a list of rapid actions (links, buttons).

Note that you may only want to use basic HTML elements (`a`, `button`) instead of Panoramax ones.
The list group overrides style, so using `pnx-*` component may conflict on styling.

**Example**  
```html
<pnx-list-group>
  <a href="https://web.site/">First link</a>
  <button>Second button</button>
</pnx-list-group>
```
