<a name="Panoramax.components.ui.ProgressBar"></a>

## Panoramax.components.ui.ProgressBar ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
**Kind**: static class of <code>Panoramax.components.ui</code>  
**Extends**: <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>  
**Element**: pnx-progress-bar  

* [.ProgressBar](#Panoramax.components.ui.ProgressBar) ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
    * [new ProgressBar()](#new_Panoramax.components.ui.ProgressBar_new)
    * [.properties](#Panoramax.components.ui.ProgressBar+properties) : <code>Object</code>

<a name="new_Panoramax.components.ui.ProgressBar_new"></a>

### new ProgressBar()
Progress bar with nice styling.

**Example**  
```html
<pnx-loader value="42" ._t=${viewer._t} />
```
<a name="Panoramax.components.ui.ProgressBar+properties"></a>

### progressBar.properties : <code>Object</code>
Component properties.

**Kind**: instance property of [<code>ProgressBar</code>](#Panoramax.components.ui.ProgressBar)  
**Properties**

| Name | Type | Description |
| --- | --- | --- |
| [value] | <code>number</code> | Progress bar percentage (0-100) or empty for indeterminate state |

