<a name="Panoramax.components.ui.SemanticsTable"></a>

## Panoramax.components.ui.SemanticsTable ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
**Kind**: static class of <code>Panoramax.components.ui</code>  
**Extends**: <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>  
**Element**: pnx-semantics-table  

* [.SemanticsTable](#Panoramax.components.ui.SemanticsTable) ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
    * [new SemanticsTable()](#new_Panoramax.components.ui.SemanticsTable_new)
    * [.properties](#Panoramax.components.ui.SemanticsTable+properties) : <code>Object</code>

<a name="new_Panoramax.components.ui.SemanticsTable_new"></a>

### new SemanticsTable()
Semantics Tables display all semantics tags from either a picture or an annotation.

**Example**  
```html
<pnx-semantics-table source=${picture.properties} ._t=${viewer._t} />
```
<a name="Panoramax.components.ui.SemanticsTable+properties"></a>

### semanticsTable.properties : <code>Object</code>
Component properties.

**Kind**: instance property of [<code>SemanticsTable</code>](#Panoramax.components.ui.SemanticsTable)  
**Properties**

| Name | Type | Description |
| --- | --- | --- |
| [source] | <code>object</code> | The picture or annotation feature (having a `semantics` property) |

