<a name="Panoramax.components.ui.widgets.Player"></a>

## Panoramax.components.ui.widgets.Player ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
**Kind**: static class of <code>Panoramax.components.ui.widgets</code>  
**Extends**: <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>  
**Element**: pnx-widget-player  

* [.Player](#Panoramax.components.ui.widgets.Player) ⇐ <code>[lit.LitElement](https://lit.dev/docs/api/LitElement/)</code>
    * [new Player()](#new_Panoramax.components.ui.widgets.Player_new)
    * [.properties](#Panoramax.components.ui.widgets.Player+properties) : <code>Object</code>

<a name="new_Panoramax.components.ui.widgets.Player_new"></a>

### new Player()
Player widget shows prev/play/pause/next/more buttons in a unified toolbar.

**Example**  
```html
<pnx-widget-player _parent=${viewer} />
```
<a name="Panoramax.components.ui.widgets.Player+properties"></a>

### player.properties : <code>Object</code>
Component properties.

**Kind**: instance property of [<code>Player</code>](#Panoramax.components.ui.widgets.Player)  
**Properties**

| Name | Type | Default | Description |
| --- | --- | --- | --- |
| [playing] | <code>boolean</code> | <code>false</code> | Is sequence currently playing ? |
| [size] | <code>string</code> | <code>&quot;xl&quot;</code> | Group size (md, xl) |

