# Adding aerial imagery

In complement of classic _streets_ rendering, you can add an aerial imagery as map background. This is possible using a WMS or WMTS service, and setting configuration as following (this example uses the French IGN aerial imagery):

```html
<pnx-viewer
  endpoint="https://panoramax.ign.fr/api"
  map='{"raster": {
    "type": "raster",
    "tiles": [
      "https://data.geopf.fr/wmts?SERVICE=WMTS&REQUEST=GetTile&VERSION=1.0.0&LAYER=ORTHOIMAGERY.ORTHOPHOTOS&STYLE=normal&FORMAT=image/jpeg&TILEMATRIXSET=PM_0_21&TILEMATRIX={z}&TILEROW={y}&TILECOL={x}"
    ],
    "minzoom": 0,
    "maxzoom": 21,
    "attribution": "&copy; IGN",
    "tileSize": 256
  }}'
/>
```
