jest.mock("../../../src/components/core/Basic", () => (
	class Basic extends EventTarget {
		constructor() {
			super();
			this.loader = { setAttribute: jest.fn() };
			this.api = {
				getMapStyle: () => ({}),
				_getMapRequestTransform: () => ({}),
				_endpoints: {},
			};
			this._t = { maplibre: {}, psv: {} };
		}
		isWidthSmall() { return false; }
		isHeightSmall() { return false; }
		getSubComponentsNames() {
			return ["loader", "api"];
		}
		onceAPIReady() {
			return Promise.resolve();
		}
		static GetJSONConverter() {
			return {};
		}
	}
));
