import Editor from "../../../src/components/core/Editor";
import "./BasicMock";

let comp;
global.console = { info: jest.fn(), error: jest.fn(), warn: jest.fn(), log: global.console.log };

beforeEach(() => comp = new Editor());
afterEach(() => jest.clearAllMocks());

describe("getClassName", () => {
	it("works", () => {
		expect(comp.getClassName()).toBe("Editor");
	});
});

describe("getSubComponentsNames", () => {
	it("works", () => {
		expect(comp.getSubComponentsNames()).toEqual(["loader", "api", "map", "psv"]);
	});
});
